Package org.optaplanner.core.impl.domain.variable.anchor

## Class AnchorVariableDemand<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.domain.variable.anchor.AnchorVariableDemand<Solution_>

- All Implemented Interfaces:
    `Demand<Solution_,​AnchorVariableSupply>`

      public class AnchorVariableDemand<Solution_>
      extends Object
      implements Demand<Solution_,​AnchorVariableSupply>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected VariableDescriptor<Solution_>` | `sourceVariableDescriptor` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnchorVariableDemand​(VariableDescriptor<Solution_> sourceVariableDescriptor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnchorVariableSupply` | `createExternalizedSupply​(InnerScoreDirector<Solution_,​?> scoreDirector)` | Only called if the domain model doesn't already support the demand (through a shadow variable usually).
    `boolean` | `equals​(Object o)` |
    `VariableDescriptor<Solution_>` | `getSourceVariableDescriptor()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sourceVariableDescriptor

          protected final VariableDescriptor<Solution_> sourceVariableDescriptor

  - ### Constructor Detail

    - #### AnchorVariableDemand

          public AnchorVariableDemand​(VariableDescriptor<Solution_> sourceVariableDescriptor)

  - ### Method Detail

    - #### getSourceVariableDescriptor

          public VariableDescriptor<Solution_> getSourceVariableDescriptor()

    - #### createExternalizedSupply

          public AnchorVariableSupply createExternalizedSupply​(InnerScoreDirector<Solution_,​?> scoreDirector)

      Description copied from interface: `Demand`
      Only called if the domain model doesn't already support the demand (through a shadow variable usually). Equal demands share the same `Supply`.
      Specified by:
        `createExternalizedSupply` in interface `Demand<Solution_,​AnchorVariableSupply>`
      Parameters:
        `scoreDirector` - never null
      Returns:
        never null

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`